/* eslint-disable no-unused-expressions */
import { expect } from 'chai';

import { hashCode } from '../lib/util';


describe('Util', () => {
    describe('hashCode', () => {
        it('Create a unique hash from string', () => {
            const hash = hashCode('String to create hash');
            expect(hash).to.be.equal(2136480604);
        });
        it('Create a unique hash from empty string', () => {
            const hash = hashCode('');
            expect(hash).to.be.equal(0);
        });
    });
});
